Delete multiple Deals
curl --request DELETE \
--url https://commerce.driv.ly/api/deals \
--header 'Authorization: <api-key>'import requests
url = "https://commerce.driv.ly/api/deals"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://commerce.driv.ly/api/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"errors": [
"<string>"
],
"docs": [
{
"updatedAt": "<string>",
"createdAt": "<string>",
"customer": 123,
"vehicle": 123,
"dealId": "<string>",
"customerRelationship": "<string>",
"coCustomer": 123,
"companyConsumerCustomer": 123,
"lienHolder": [
123
],
"dealer": 123,
"facilitator": [
123
],
"type": [],
"salesPrice": "<string>",
"margin": "<string>",
"downPayment": "<string>",
"financedAmount": "<string>",
"taxesAndFees": 123,
"dependencies": [
123
],
"unsignedDocuments": "<string>",
"signedDocuments": "<string>",
"deliveryAddress": [
123
],
"paymentLink": "<string>",
"getTradeOffer": "<string>",
"notarizePowerOfAttorney": "<string>",
"serviceQuotes": [
123
],
"tenant": 123,
"trades": [
123
],
"creditApplications": [
123
],
"latestError": "<string>",
"vscProvider": 123,
"vsc": "<string>",
"gapProvider": 123,
"gap": "<string>",
"status": "<string>",
"transportServiceOrders": [
123
],
"mileage": 123,
"createdBy": 123,
"lastModifiedBy": 123,
"development": true
}
]
}Deals
Delete multiple Deals
Delete all Deals matching the where query
DELETE
/
deals
Delete multiple Deals
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { deals } from '@drivly/commerce'
const sdk = new SDK(...)
const deals = await sdk.deals.unknown()
Authorizations
Query Parameters
sort by field
pass a where query to constrain returned documents (complex type, see documentation)
Show child attributes
Show child attributes
Example:
{
"or": [
{ "color": { "equals": "mint" } },
{
"and": [
{ "color": { "equals": "white" } },
{ "featured": { "equals": false } }
]
}
]
}
limit the returned documents to a certain number
get a specific page of documents
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
⌘I